kernel 2.6xx and poweredge 1750

Lars Roland lroland at gmail.com
Thu Apr 27 08:15:20 CDT 2006


On 4/27/06, Antonin Hily <antonin.hily at forpro-creteil.org> wrote:
> Hi,
>
> sorry for my bad english, but i'm french... ;-)
>
> I've got 8 PE1750
> All are running under Debian Woody, with a 2.4xx kernel.
> I want to upgrade my kernel to 2.6xx but i know there are some problems
> with drivers (LSI, ADAPTEC, BROADCOM...)


I have one of those servers but seeing you are running woody I would
advice you to upgrade to debian sarge first i.e:

--
echo 'deb http://debian.uni-c.dk/debian/ stable main' > /etc/apt/sources.list
apt-get update
apt-get upgrade
apt-get dist-upgrade
reboot
--

then grab the latest kernel from testing (to get udev instead of
devfs), somthing like the following should do the trick:

--
mv /etc/apt/souces.list /etc/apt/sources.list.orig
echo 'deb http://debian.uni-c.dk/debian/ testing main' > /etc/apt/sources.list
apt-get update
apt-get install udev linux-image-2.6.15-1-686-smp
mv /etc/apt/souces.list.orig /etc/apt/sources.list
apt-get update
--

You might want to grab the software from a different mirror.


--
Lars



More information about the Linux-PowerEdge mailing list